Created: 2024-07-04 22:10:00
Updated: 2024-07-04 22:10:00
Title: The Frustrating Lack Of Principles And Mob Mentality Of The Internet
Slug: lack-of-principles-and-the-mob-mentality
Description: The internet is a wonderful invention but one I fear humanity was not ready for and has in fact brought out the worst impulses of mankind rather than it's best.
Tags: 
  - rants
  - miscalleanous